## org.omg.GIOP
Class CancelRequestHeaderHelper

    java.lang.Object
      |
      +--org.omg.GIOP.CancelRequestHeaderHelper

public class CancelRequestHeaderHelper
extends java.lang.Object

Helper class for : CancelRequestHeader

Author:
  OpenORB Compiler

Constructor Summary
`CancelRequestHeaderHelper()`

Method Summary
`static CancelRequestHeader` `extract(Any a)` Extract CancelRequestHeader from an any
`static java.lang.String` `id()` Return the CancelRequestHeader IDL ID
`static void` `insert(Any a, CancelRequestHeader t)` Insert CancelRequestHeader into an any
`static CancelRequestHeader` `read(InputStream istream)` Read CancelRequestHeader from a marshalled stream
`static TypeCode` `type()` Return the CancelRequestHeader TypeCode
`static void` `write(OutputStream ostream, CancelRequestHeader value)` Write CancelRequestHeader into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CancelRequestHeaderHelper

    public CancelRequestHeaderHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CancelRequestHeader t)

  Insert CancelRequestHeader into an any
  Parameters:
    `a` - an any
    `t` - CancelRequestHeader value

### extract

    public static CancelRequestHeader extract(Any a)

  Extract CancelRequestHeader from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CancelRequestHeader value

### type

    public static TypeCode type()

  Return the CancelRequestHeader TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CancelRequestHeader IDL ID
  Returns:
    an ID

### read

    public static CancelRequestHeader read(InputStream istream)

  Read CancelRequestHeader from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CancelRequestHeader value

### write

    public static void write(OutputStream ostream,
                             CancelRequestHeader value)

  Write CancelRequestHeader into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CancelRequestHeader value